<?php

/* Clase para completar información estática en la web */

class staticContentGraff {

	public static function title($addContent='') {
		echo 'Graff - Diagramas en HTML5'.$addContent;
	}
	

	public static function footer() {
		echo '<!-- Licencia y año-->
		<footer>
			<p>Licencias <a href="http://www.gnu.org/licenses/gpl-3.0.html" title="GNU General Public License">GPLv3</a> y CC</p>
			<p> <a href="https://forja.rediris.es/projects/graff/" title="Página del proyecto">Graff beta 0.1</a> </p>
			<p> - 2010 - </p>
			<p> <a href="http://validator.w3.org/check?uri=http%3A%2F%2Fhtml5graff.es%2F" title="HTML5 Válido">HTML5 Válido</a> - <a href="http://jigsaw.w3.org/css-validator/validator?uri=http://html5graff.es&amp;profile=css3&amp;usermedium=all&amp;warning=1" title="CSS3 Válido">CSS3 Válido</a></p>
		</footer>';
	}


	public static function popup(){
		echo '<!-- Fondo semitransparente-->
		<div id="bg_transparent"></div>
		<!-- Popup para mostrar mensajes de error -->
		<div id="bg_popup">
			<div id="popup">
				<div id="close" onclick="closePopup()">&nbsp;</div>
				<h3 id="title"></h3>
				<div id="msg"></div>
			</div>
		</div>
		<!-- Contexto de edición de tablas-->
		<div id="edition_context"></div>';
	}


	public static function optionsPanel(){
		echo '<!-- Panel del opciones de diseño del diagrama -->
		<h4>Panel de Opciones</h4>
		<div id="types">
				<h5>Tipo de Diagrama</h5>
			<!-- <input id="AccumulatorBar" name="type_graph" type="radio" value="AccumulatorBar" class="true" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="AccumulatorBar">AccumulatorBar</label> -->
			<input id="Area" name="type_graph" type="radio" value="Area" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Area">Area</label>
			<input id="Bar" name="type_graph" type="radio" value="Bar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="Bar">Bar</label>
			<input id="Dot" name="type_graph" type="radio" value="Dot" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Dot">Dot</label>
			<input id="Line" name="type_graph" type="radio" value="Line" data-tooltip="true" checked="true" onchange="typeGraph(this.value)" /> <label for="Line">Line</label>
			<input id="Mini.Bar" name="type_graph" type="radio" value="Mini.Bar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="Mini.Bar">Mini.Bar</label>
			<input id="Mini.Pie" name="type_graph" type="radio" value="Mini.Pie" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Mini.Pie">Mini.Pie</label>
			<input id="Mini.SideBar" name="type_graph" type="radio" value="Mini.SideBar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="Mini.SideBar">Mini.SideBar</label>
			<input id="Net" name="type_graph" type="radio" value="Net" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Net">Net</label>
			<input id="Pie" name="type_graph" type="radio" value="Pie" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Pie">Pie</label>
			<input id="SideBar" name="type_graph" type="radio" value="SideBar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="SideBar">SideBar</label>
			<input id="SideStackedBar" name="type_graph" type="radio" value="SideStackedBar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="SideStackedBar">SideStackedBar</label>
			<!-- <input id="Spider" name="type_graph" type="radio" value="Spider" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="Spider">Spider</label> -->
			<input id="StackedArea" name="type_graph" type="radio" value="StackedArea" data-tooltip="false" onchange="typeGraph(this.value)" /> <label for="StackedArea">StackedArea</label>
			<input id="StackedBar" name="type_graph" type="radio" value="StackedBar" data-tooltip="true" onchange="typeGraph(this.value)" /> <label for="StackedBar">StackedBar</label>
		</div>
		<div id="themes">
				<h5>Tema de colores</h5>
			<input id="graff" name="theme_graph" type="radio" value="graff" checked="true" onchange="themeGraph(this.value)" /> <label for="graff">graff</label>
			<input id="keynote" name="theme_graph" type="radio" value="keynote" onchange="themeGraph(this.value)" /> <label for="keynote">keynote</label>
			<input id="37signals" name="theme_graph" type="radio" value="37signals" onchange="themeGraph(this.value)" /> <label for="37signals">37signals</label>
			<input id="rails_keynote" name="theme_graph" type="radio" value="rails_keynote" onchange="themeGraph(this.value)" /> <label for="rails_keynote">rails_keynote</label>
			<input id="odeo" name="theme_graph" type="radio" value="odeo" onchange="themeGraph(this.value)" /> <label for="odeo">odeo</label>
			<input id="pastel" name="theme_graph" type="radio" value="pastel" onchange="themeGraph(this.value)" /> <label for="pastel">pastel</label>
			<input id="greyscale" name="theme_graph" type="radio" value="greyscale" onchange="themeGraph(this.value)" /> <label for="greyscale">greyscale</label>
		</div>
		<div id="others">
				<h5>Otras opciones</h5>
			<input id="width" name="width" type="number" onchange="resizeGraph(this.id)" placeholder="Ancho" value="400"/> <label for="width">px. de ancho</label>
			<input id="height" name="height" type="number" onchange="resizeGraph(this.id)" placeholder="Alto" value="300"/> <label for="height">px. de alto</label>
			<input id="tooltip" name="true" type="checkbox" value="true" onchange="toggleTooltip()" /> <label for="tooltip">¿Tooltip activo?</label>
			<input id="showTable" name="showTable" type="checkbox" value="showTable" onchange="toggleTable()" /> <label for="showTable">¿Mostrar tabla junto al diagrama?</label>
		</div>';
	}
}

?>
